Altibase.jdbc.driver

## Class AltibaseConnectionPoolDataSource

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseDataSource
  - - Altibase.jdbc.driver.AltibaseConnectionPoolDataSource

All Implemented Interfaces:
  java.io.Serializable, java.sql.Wrapper, javax.naming.Referenceable, javax.sql.CommonDataSource, javax.sql.ConnectionPoolDataSource, javax.sql.DataSource

    public class AltibaseConnectionPoolDataSource
    extends AltibaseDataSource
    implements javax.sql.ConnectionPoolDataSource

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.AltibaseDataSource

`mLogWriter, mProperties`

### Constructor Summary

Constructors
Constructor and Description
`AltibaseConnectionPoolDataSource()`
`AltibaseConnectionPoolDataSource(java.lang.String aDataSourceName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.sql.PooledConnection` `getPooledConnection()`
`javax.sql.PooledConnection` `getPooledConnection(java.lang.String aUser, java.lang.String aPassword)`

### Methods inherited from class Altibase.jdbc.driver.AltibaseDataSource

`getConnection, getConnection, getConnection, getDatabaseName, getDataSource, getDataSourceName, getDescription, getLoginTimeout, getLogWriter, getParentLogger, getPassword, getPortNumber, getProperty, getReference, getServerName, getUser, isWrapperFor, setDatabaseName, setDataSourceName, setDescription, setLoginTimeout, setLogWriter, setPassword, setPortNumber, setProperty, setServerName, setURL, setUser, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.CommonDataSource

`getLoginTimeout, getLogWriter, getParentLogger, setLoginTimeout, setLogWriter`

### Constructor Detail

#### AltibaseConnectionPoolDataSource

    public AltibaseConnectionPoolDataSource()

#### AltibaseConnectionPoolDataSource

    public AltibaseConnectionPoolDataSource(java.lang.String aDataSourceName)

### Method Detail

#### getPooledConnection

    public javax.sql.PooledConnection getPooledConnection()
                                                   throws java.sql.SQLException

Specified by:
  `getPooledConnection` in interface `javax.sql.ConnectionPoolDataSource`
Throws:
  `java.sql.SQLException`

#### getPooledConnection

    public javax.sql.PooledConnection getPooledConnection(java.lang.String aUser,
                                                          java.lang.String aPassword)
                                                   throws java.sql.SQLException

Specified by:
  `getPooledConnection` in interface `javax.sql.ConnectionPoolDataSource`
Throws:
  `java.sql.SQLException`